get
https://api.hrflow.ai/v1/job/grading
This endpoint allows grading a Profile for a Job.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Request headers
| Field | Value |
|---|---|
X-API-KEY | Your API Key. |
X-USER-EMAIL | Your HrFlow.ai account's email. |
Query Parameters
- The
keyand thereferencecan not be null at the same time in the Query Parameters.- Single job processing is deprecated. Please use batch mode with the
job_idsparameter.
ResponseThis endpoint returns a
dataobject containing four keys, with one entry per job, in the order of the jobs:
- Jobs: array of objects Job.
- Scores: array of arrays of floats [ 1-score, score ]. Example: [0.49184858798980713, 0.50815147161483765].
- Errors:
nullfor a graded job, otherwise an object withcodeandmessage, and the job's Scores entry isnull. The code isitem_not_foundwhen the job can't be read.- Axis:
nullunlessreturn_axisistruewithgrader-hrflow-jobs-cosmic5orgrader-hrflow-jobs-titan5. Otherwise one object per job with 8 keys (education, languages, skills, seniority, management, contract, role, domain), eachtrue(met),false(not met) ornull(the job doesn't ask).